Subject: Re: Labor Law Poster Invoice
From: "Michael B" <[email-masked]>
To: "Amanda Mason" <[email-masked]>
Date: Sun, 28 Feb 2016 11:08:24 -0500

Hello Amanda.
I am on vacation now and I missed sending the invoice in to be paid. I just forwarded it to Amber. They should be getting that submitted for payment soon. Sorry for any inconvenience.
Thank you,
Michael B
LLPS

From: Amanda Mason 
Sent: Wednesday, February 24, 2016 3:26 PM
To: Michael B 
Cc: Tasha Frankovich 
Subject: Labor Law Poster Invoice 

Hi Michael, 

Attached is your invoice for week ending 2/21/16 totaling $11,499.05

Thank you for your business! J

Amanda Mason

LEAD PAYROLL SPECIALIST │ACCESSPOINT

4407 W St. Joseph Hwy Lansing, MI  48917

517-908-4774 (Direct Line) │ [email-masked]

www.accesspointhr.com | www.apteam.com